import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { SuperTableState } from './SuperTableState';
import { ISuperTableOptions } from './interfaces';
export declare class SuperTableBody implements OnChanges {
    private el;
    state: SuperTableState;
    rows: Array<any>;
    tableClasses: any;
    bodyHeight: number;
    options: ISuperTableOptions;
    visibleRows: Array<any>;
    rowHeight: number;
    rowOffset: number;
    private scrollHandler;
    private resizeHandler;
    constructor(el: ElementRef, state: SuperTableState);
    ngOnChanges(changes: SimpleChanges): void;
    trackScroll(): void;
    onWindowResize(): void;
    private updateVisibleRows();
    private detectRowHeight();
}
