var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from '@angular/core';
import { SuperTableState } from './SuperTableState';
var SuperTableHead = (function () {
    function SuperTableHead(state) {
        this.state = state;
    }
    return SuperTableHead;
}());
__decorate([
    Input(),
    __metadata("design:type", Object)
], SuperTableHead.prototype, "tableClasses", void 0);
SuperTableHead = __decorate([
    Component({
        selector: 'super-table-head',
        template: "\n    <table [ngClass]=\"tableClasses\">\n      <thead>\n        <tr>\n          <th scope=\"col\" *ngFor=\"let column of state.columns\" table-header [column]=\"column\" [ngClass]=\"{ hasSort: column.hasSort }\"></th>\n        </tr>\n        <tr *ngIf=\"state.hasAnyFilters\" class=\"filter-row\">\n          <td *ngFor=\"let column of state.columns\">\n            <div *ngIf=\"column.hasFilter\" [ngSwitch]=\"column.def.filter.type\">\n              <div *ngSwitchCase=\"'TEXT'\" text-filter [filter]=\"column.def.filter\" [column]=\"column\"></div>\n              <div *ngSwitchCase=\"'ENUM'\" enum-filter [filter]=\"column.def.filter\" [column]=\"column\"></div>\n            </div>\n          </td>\n        </tr>\n      </thead>\n    </table>\n  ",
        styles: ["\n    :host {\n      overflow-y: scroll;\n      display: block;\n    }\n    .hasSort {\n      cursor: pointer;\n    }\n    table {\n      table-layout: fixed;\n      width: 100%;\n      margin-bottom: 0;\n      border-bottom: none;\n    }\n    .filter-row td {\n      padding: 0;\n      vertical-align: middle;\n    }\n  "]
    }),
    __metadata("design:paramtypes", [SuperTableState])
], SuperTableHead);
export { SuperTableHead };
